質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Ruby on Rails 5

Ruby on Rails 5は、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

Apache

Apacheは、Apache HTTP Serverの略で、最も人気の高いWebサーバソフトウェアの一つです。安定性が高いオープンソースソフトウェアとして商用サイトから自宅サーバまで、多くのプラットフォーム向けに開発・配布されています。サーバーソフトウェアの不具合(NCSA httpd)を修正するパッチ(a patch)を集積、一つ独立したソフトウェアとして開発されました。

GitLab

GitLabは Gitoliteをブラウザから管理できるようにする Rubyアプリケーションで、 GitHubのようなサービスをクローズドな環境に独自で構築できるように 公開されたものです。

受付中

Gitlabをソースからインストールするとpassengerで uninitialized constant Google::Apis::VERSION

dame-dame
dame-dame

総合スコア64

Ruby on Rails 5

Ruby on Rails 5は、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

Apache

Apacheは、Apache HTTP Serverの略で、最も人気の高いWebサーバソフトウェアの一つです。安定性が高いオープンソースソフトウェアとして商用サイトから自宅サーバまで、多くのプラットフォーム向けに開発・配布されています。サーバーソフトウェアの不具合(NCSA httpd)を修正するパッチ(a patch)を集積、一つ独立したソフトウェアとして開発されました。

GitLab

GitLabは Gitoliteをブラウザから管理できるようにする Rubyアプリケーションで、 GitHubのようなサービスをクローズドな環境に独自で構築できるように 公開されたものです。

0回答

0評価

0クリップ

107閲覧

投稿2022/05/30 10:23

Gitlab 15.0 stalble
https://gitlab.com/gitlab-org/gitlab-foss/-/blob/15-0-stable/Gemfile.lock
をapache 2.4 + Phusion Passenger 6.0.14
で動かそうとおもっています・

すべての設定を終えて、いざトップページに行くと
The requested URL was not found on this server.
と表示されます

/var/log/apache2/error.log を確認すると、下記のような表示がされます

[ E 2022-05-30 15:24:08.3176 1350453/T3c age/Cor/App/Implementation.cpp:221 ]: Could not spawn process for application /home/git/gitlab: The application encountered the following error: uninitialized constant Google::Apis::VERSION Did you mean? VersionCheck (NameError) Error ID: 6e87b2c4 Error details saved to: /tmp/passenger-error-2anAP0.html

残念ながら  /tmp/passenger-error-2anAP0.html というファイルは生成されていませんでした。

** Google::Apis::VERSION** という内容が怪しいと思いまして
/home/git/gitlab配下で、 Google::Apis::VERSION  でgrep かけてみると
下記のファイルが見つかりました。

grep

grep Google::Apis::VERSION -rl ./* ./config/initializers/google_api_client_patch.rb ./vendor/bundle/ruby/2.7.0/gems/google-api-client-0.50.0/lib/google/apis/core/base_service.rb ./vendor/bundle/ruby/2.7.0/gems/google-api-client-0.50.0/lib/google/apis/core/api_command.rb ./vendor/bundle/ruby/2.7.0/gems/google-api-client-0.50.0/google-api-client.gemspec ./vendor/bundle/ruby/2.7.0/gems/google-api-client-0.50.0/bin/generate-api

上記ファイルが見つかりました。

Gemfileでgoogle-api-client-0.50.0を指定したのでbundle install でインストールされたのはわかるのですが、なぜ、 uninitialized constant Google::Apis::VERSION
がでてくるのかわからず苦労しております。Google::Apis::VERSIONは上記ファイルに書かれていることはわかるのですが
なぜこれがエラーの原因となるのかわからずはまっております

何かヒントでもいいからありませんでしょうか?

多分、gitlabのトップページが表示されるまでもう一歩だと思いますので
力をお貸しいただければと思います

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Ruby on Rails 5

Ruby on Rails 5は、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

Apache

Apacheは、Apache HTTP Serverの略で、最も人気の高いWebサーバソフトウェアの一つです。安定性が高いオープンソースソフトウェアとして商用サイトから自宅サーバまで、多くのプラットフォーム向けに開発・配布されています。サーバーソフトウェアの不具合(NCSA httpd)を修正するパッチ(a patch)を集積、一つ独立したソフトウェアとして開発されました。

GitLab

GitLabは Gitoliteをブラウザから管理できるようにする Rubyアプリケーションで、 GitHubのようなサービスをクローズドな環境に独自で構築できるように 公開されたものです。